org.richfaces.renderkit.html

## Class HtmlRichMessageRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.RichMessageBaseRenderer
        - - org.richfaces.renderkit.html.HtmlRichMessageRenderer

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

      public class HtmlRichMessageRenderer
      extends RichMessageBaseRenderer

  Author:
    Anton Belevich

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.renderkit.RichMessageBaseRenderer

      `COMPONENT_NOT_FOUND_IN_VIEW_WARN_MESSAGE, log`

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlRichMessageRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `encodingUIContent(UIRichMessage uiMsg, javax.faces.context.FacesContext context, javax.faces.application.FacesMessage facesMsg)`
    `protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
    `void` | `renderLabelHtml(javax.faces.component.UIComponent component, javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, javax.faces.application.FacesMessage facesMsg, java.lang.String labelClass, java.lang.String labelStyle, java.lang.String passLabel)`
    `void` | `renderMarkerHtml(javax.faces.component.UIComponent component, javax.faces.component.UIComponent marker, javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, java.lang.String markerClass, java.lang.String markerStyle)`
    `void` | `renderOuterStyles(javax.faces.component.UIComponent component, javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, java.lang.String outerStyle, java.lang.String outerClass)`

    - ### Methods inherited from class org.richfaces.renderkit.RichMessageBaseRenderer

      `creatAcceptLevels, getMessageIterator, getStyles, isAcceptableMessage, isAcceptableMessagesPresent, outerStyles, renderLabel, renderMarkerFacet`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HtmlRichMessageRenderer

          public HtmlRichMessageRenderer()

  - ### Method Detail

    - #### doEncodeEnd

          protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### encodingUIContent

          protected void encodingUIContent(UIRichMessage uiMsg,
                               javax.faces.context.FacesContext context,
                               javax.faces.application.FacesMessage facesMsg)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### renderOuterStyles

          public void renderOuterStyles(javax.faces.component.UIComponent component,
                               javax.faces.context.FacesContext context,
                               javax.faces.context.ResponseWriter writer,
                               java.lang.String outerStyle,
                               java.lang.String outerClass)
                                 throws java.io.IOException

      Specified by:
        `renderOuterStyles` in class `RichMessageBaseRenderer`
      Throws:
        `java.io.IOException`

    - #### renderMarkerHtml

          public void renderMarkerHtml(javax.faces.component.UIComponent component,
                              javax.faces.component.UIComponent marker,
                              javax.faces.context.FacesContext context,
                              javax.faces.context.ResponseWriter writer,
                              java.lang.String markerClass,
                              java.lang.String markerStyle)
                                throws java.io.IOException

      Specified by:
        `renderMarkerHtml` in class `RichMessageBaseRenderer`
      Throws:
        `java.io.IOException`

    - #### renderLabelHtml

          public void renderLabelHtml(javax.faces.component.UIComponent component,
                             javax.faces.context.FacesContext context,
                             javax.faces.context.ResponseWriter writer,
                             javax.faces.application.FacesMessage facesMsg,
                             java.lang.String labelClass,
                             java.lang.String labelStyle,
                             java.lang.String passLabel)
                               throws java.io.IOException

      Specified by:
        `renderLabelHtml` in class `RichMessageBaseRenderer`
      Throws:
        `java.io.IOException`

    - #### getComponentClass

          protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

Copyright © 2014. All Rights Reserved.